AbstractLibrary (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.plugins.ide.eclipse.model

## Class AbstractLibrary

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.AbstractLibrary

- All Implemented Interfaces:
    ClasspathEntry
  Direct Known Subclasses:
    Library, Variable

      public abstract class AbstractLibrary
      extends AbstractClasspathEntry

  Common superclass for the library elements.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLibrary(FileReference library)`
    `AbstractLibrary(Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendNode(Node node)`
    `boolean` | `equals(Object o)`
    `FileReference` | `getJavadocPath()`
    `FileReference` | `getLibrary()`
    `ModuleVersionIdentifier` | `getModuleVersion()`
    `FileReference` | `getSourcePath()`
    `int` | `hashCode()`
    `void` | `setJavadocPath(FileReference path)`
    `void` | `setLibrary(FileReference library)`
    `void` | `setModuleVersion(ModuleVersionIdentifier moduleVersion)`
    `void` | `setSourcePath(FileReference sourcePath)`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.plugins.ide.eclipse.model.ClasspathEntry

      `getKind`

- - ### Constructor Detail

    - #### AbstractLibrary

          public AbstractLibrary(Node node,
                                 org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### AbstractLibrary

          public AbstractLibrary(FileReference library)

  - ### Method Detail

    - #### getSourcePath

          public FileReference getSourcePath()

    - #### setSourcePath

          public void setSourcePath(FileReference sourcePath)

    - #### getJavadocPath

          public FileReference getJavadocPath()

    - #### setJavadocPath

          public void setJavadocPath(FileReference path)

    - #### getLibrary

          public FileReference getLibrary()

    - #### setLibrary

          public void setLibrary(FileReference library)

    - #### getModuleVersion

          @Nullable
          public ModuleVersionIdentifier getModuleVersion()

    - #### setModuleVersion

          public void setModuleVersion(@Nullable
                                       ModuleVersionIdentifier moduleVersion)

    - #### appendNode

          public void appendNode(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`
      Overrides:
        `appendNode` in class `AbstractClasspathEntry`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractClasspathEntry`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractClasspathEntry`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`